## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl.EStoreEPropertiesHolderImpl

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreEPropertiesHolderImpl

All Implemented Interfaces:
  EStructuralFeature.Internal.DynamicValueHolder, BasicEObjectImpl.EPropertiesHolder

Enclosing class:
  EStoreEObjectImpl

    protected static class EStoreEObjectImpl.EStoreEPropertiesHolderImpl

extends java.lang.Object
implements BasicEObjectImpl.EPropertiesHolder

An internal class for holding less frequently members variables.

Field Summary
`protected EClass` `eClass`
`protected EList<EObject>` `eContents`
`protected EList<EObject>` `eCrossReferences`
`protected URI` `eProxyURI`
`protected Resource.Internal` `eResource`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`protected` `EStoreEObjectImpl.EStoreEPropertiesHolderImpl()`

Method Summary
`void` `allocateSettings(int maximumDynamicFeatureID)`
`java.lang.Object` `dynamicGet(int dynamicFeatureID)` Returns the value of the feature.
`void` `dynamicSet(int dynamicFeatureID, java.lang.Object value)` Sets the value of the feature to the new value.
`void` `dynamicUnset(int dynamicFeatureID)` Unsets the value of the feature.
`EClass` `getEClass()`
`EList<EObject>` `getEContents()`
`EList<EObject>` `getECrossReferences()`
`URI` `getEProxyURI()`
`Resource.Internal` `getEResource()`
`boolean` `hasSettings()`
`void` `setEClass(EClass eClass)`
`void` `setEContents(EList<EObject> eContents)`
`void` `setECrossReferences(EList<EObject> eCrossReferences)`
`void` `setEProxyURI(URI eProxyURI)`
`void` `setEResource(Resource.Internal eResource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eClass

    protected EClass eClass

### eProxyURI

    protected URI eProxyURI

### eResource

    protected Resource.Internal eResource

### eContents

    protected EList<EObject> eContents

### eCrossReferences

    protected EList<EObject> eCrossReferences

Constructor Detail

### EStoreEObjectImpl.EStoreEPropertiesHolderImpl

    protected EStoreEObjectImpl.EStoreEPropertiesHolderImpl()

Method Detail

### getEClass

    public EClass getEClass()

  Specified by:
    `getEClass` in interface `BasicEObjectImpl.EPropertiesHolder`

### setEClass

    public void setEClass(EClass eClass)

  Specified by:
    `setEClass` in interface `BasicEObjectImpl.EPropertiesHolder`

### getEProxyURI

    public URI getEProxyURI()

  Specified by:
    `getEProxyURI` in interface `BasicEObjectImpl.EPropertiesHolder`

### setEProxyURI

    public void setEProxyURI(URI eProxyURI)

  Specified by:
    `setEProxyURI` in interface `BasicEObjectImpl.EPropertiesHolder`

### getEResource

    public Resource.Internal getEResource()

  Specified by:
    `getEResource` in interface `BasicEObjectImpl.EPropertiesHolder`

### setEResource

    public void setEResource(Resource.Internal eResource)

  Specified by:
    `setEResource` in interface `BasicEObjectImpl.EPropertiesHolder`

### getEContents

    public EList<EObject> getEContents()

  Specified by:
    `getEContents` in interface `BasicEObjectImpl.EPropertiesHolder`

### setEContents

    public void setEContents(EList<EObject> eContents)

  Specified by:
    `setEContents` in interface `BasicEObjectImpl.EPropertiesHolder`

### getECrossReferences

    public EList<EObject> getECrossReferences()

  Specified by:
    `getECrossReferences` in interface `BasicEObjectImpl.EPropertiesHolder`

### setECrossReferences

    public void setECrossReferences(EList<EObject> eCrossReferences)

  Specified by:
    `setECrossReferences` in interface `BasicEObjectImpl.EPropertiesHolder`

### hasSettings

    public boolean hasSettings()

  Specified by:
    `hasSettings` in interface `BasicEObjectImpl.EPropertiesHolder`

### allocateSettings

    public void allocateSettings(int maximumDynamicFeatureID)

  Specified by:
    `allocateSettings` in interface `BasicEObjectImpl.EPropertiesHolder`

### dynamicGet

    public java.lang.Object dynamicGet(int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Returns the value of the feature.

  Specified by:
    `dynamicGet` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
  Returns:
    the value of the feature.

### dynamicSet

    public void dynamicSet(int dynamicFeatureID,
                           java.lang.Object value)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Sets the value of the feature to the new value.

  Specified by:
    `dynamicSet` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
    `value` - the new value for the feature.

### dynamicUnset

    public void dynamicUnset(int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Unsets the value of the feature.

  Specified by:
    `dynamicUnset` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.